<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 06/19/2004 *
 * ================                             Last change: 07/24/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-nickname.php                                *
 * -------------------------------------------------------------------- *
 * Short description : Nickname instead of the ID                       *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Nickname anstelle der ID                         *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
} elseif (!IS_MEMBER()) {
	LOAD_URL("modules.php?module=index");
} elseif ((!EXT_IS_ACTIVE("nickname")) && (!IS_ADMIN())) {
	ADD_FATAL(EXTENSION_PROBLEM_EXT_INACTIVE, "nickname");
	return;
}

// Add description as navigation point
ADD_DESCR("member", basename(__FILE__));
$VALID = false;

if (isset($_POST['ok']))
{
	// Nickname was submitted so let's check if it is not already in use
	if (!empty($_POST['nickname']))
	{
		// Check if nickname is valid
		$PATTERN = "[".__NICKNAME_PATTERN."]{".__NICKNAME_LENGTH.",}";
		if (ereg($PATTERN, $_POST['nickname'], $array))
		{
			// Entered nickname is valid?
			if ($array[0] == $_POST['nickname']) $VALID = true;
		}
	}
}

if ($VALID)
{
	// Look for nickname in database (we only need just one entry so don't worry about the "LIMIT 1" !
	$result = SQL_QUERY_ESC("SELECT userid FROM "._MYSQL_PREFIX."_user_data WHERE nickname='%s' AND userid != '%s' LIMIT 1",
	 array($_POST['nickname'], $GLOBALS['userid']), __FILE__, __LINE__);
	if (SQL_NUMROWS($result) == 0)
	{
		// Nickname not in use, so set it now
		$result = SQL_QUERY_ESC("UPDATE "._MYSQL_PREFIX."_user_data SET nickname='%s' WHERE userid=%s LIMIT 1",
		 array($_POST['nickname'], $GLOBALS['userid']), __FILE__, __LINE__);
		$content = NICKNAME_SAVED;
	}
	 else
	{
		// Free result
		SQL_FREERESULT($result);

		// Nickname already in use!
		$content = NICKNAME_ALREADY_IN_USE;
	}

	// Load template
	LOAD_TEMPLATE("admin_settings_saved", false, $content);
}
 else
{
	// Load current nickname
	define('__NICKNAME', NICKNAME_GET_NICK($GLOBALS['userid']));

	// Do we have already submit the form?
	if (!empty($_POST['nickname']))
	{
		OUTPUT_HTML("<STRONG class=\"member_failed\">".NICKNAME_IS_INVALID."</STRONG><P></P>");
	}

	// Load Template
	LOAD_TEMPLATE("member_nickname_form");
}
//
?>
